MxServerDetector (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.jmx.MxServerDetector class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.jmx
Class MxServerDetector

    java.lang.Object
      org.hyperic.hq.product.GenericPlugin
          org.hyperic.hq.product.ServerDetector
              org.hyperic.hq.product.DaemonDetector
                  org.hyperic.hq.product.jmx.MxServerDetector

All Implemented Interfaces:
  AutoServerDetector, FileServerDetector, RuntimeDiscoverer

Direct Known Subclasses:
  SunMxServerDetector

    public class MxServerDetector

extends DaemonDetector
implements AutoServerDetector

Nested Class Summary
`static class` | `MxServerDetector.MxProcess`

Field Summary
`static java.lang.String` | `PROC_HOME_ENV`
`static java.lang.String` | `PROC_HOME_PROPERTY`
`protected static java.lang.String` | `PROC_JAVA`
`static java.lang.String` | `PROC_MAIN_CLASS`
`static java.lang.String` | `PROP_PROCESS_QUERY`
`protected static java.lang.String` | `SUN_JMX_PORT`
`protected static java.lang.String` | `SUN_JMX_REMOTE`

Fields inherited from class org.hyperic.hq.product.ServerDetector
`AUTOINVENTORY_NAME, INSTALLPATH, INSTALLPATH_MATCH, INSTALLPATH_NOMATCH, INVENTORY_ID, VERSION_FILE`

Fields inherited from class org.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`MxServerDetector()`

Method Summary
`protected boolean` | `configureLocalMxURL(ConfigResponse config, java.lang.String arg, java.lang.String query)`
`protected boolean` | `configureMxURL(ConfigResponse config, java.lang.String arg)`
`protected java.util.List` | `discoverMxServices(javax.management.MBeanServerConnection mServer, ConfigResponse serverConfig)`
`protected java.util.List` | `discoverServices(ConfigResponse serverConfig)` Override to discover services for the server type of the plugin instance.
`java.util.Set` | `discoverServiceTypes(ConfigResponse serverConfig)`
`protected static java.lang.String` | `getMxURL(java.lang.String port)`
`protected java.lang.String` | `getProcHomeEnv()`
`protected java.lang.String` | `getProcHomeProperty()`
`protected java.lang.String` | `getProcMainClass()`
`protected java.lang.String` | `getProcQuery()`
`protected java.lang.String` | `getProcQuery(java.lang.String path)`
`protected java.util.List` | `getServerProcessList()`
`protected ServerResource` | `getServerResource(MxServerDetector.MxProcess process)`
`java.util.List` | `getServerResources(ConfigResponse platformConfig)`
`protected boolean` | `isInstallTypeVersion(MxServerDetector.MxProcess process)`
`protected java.lang.String` | `parseMxPort(java.lang.String arg)`

Methods inherited from class org.hyperic.hq.product.DaemonDetector
`discoverServerConfig, getFileResources, getPlatformConfig, getProcessQuery, getProcessResources, getProcOpts, getServerResources, isSwitch, newServerResource, newServerResource, setPlatformConfig`

Methods inherited from class org.hyperic.hq.product.ServerDetector
`createServerResource, createServiceResource, discoverResources, discoverServers, findVersionFile, formatAutoInventoryName, formatName, getCanonicalPath, getConfigSchema, getConnectionProtocol, getDocument, getListenAddress, getListenAddress, getManager, getParentDir, getParentDir, getPids, getProcArgs, getProcCwd, getProcExe, getProcExe, getProcModules, getRegistryScanKeys, getRuntimeDiscoverer, getServerSignature, getServiceConfigs, getServiceInventoryPlugins, getSigar, getTypeProperty, getXPathValue, getXPathValue, init, isInstallTypeVersion, isRuntimeDiscoverySupported, isSSLPort, isWin32ServiceRunning, setControlConfig, setControlConfig, setCustomProperties, setCustomProperties, setDescription, setMeasurementConfig, setMeasurementConfig, setProductConfig, setProductConfig`

Methods inherited from class org.hyperic.hq.product.GenericPlugin
`adjustClassPath, configure, getAbsoluteFiles, getConfig, getConfig, getConfigSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getManagerProperty, getName, getPlatformName, getPluginClassName, getPluginData, getPluginProperty, getProductPlugin, getProperties, getScriptExtension, getScriptExtension, getScriptExtension, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperties, getTypeProperty, getTypeProperty, isNetStatEnabled, isWin32, openResource, setData, setName, setTypeInfo, shutdown, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROC_MAIN_CLASS

    public static final java.lang.String PROC_MAIN_CLASS

See Also:
  Constant Field Values

### PROC_HOME_PROPERTY

    public static final java.lang.String PROC_HOME_PROPERTY

See Also:
  Constant Field Values

### PROC_HOME_ENV

    public static final java.lang.String PROC_HOME_ENV

See Also:
  Constant Field Values

### PROP_PROCESS_QUERY

    public static final java.lang.String PROP_PROCESS_QUERY

See Also:
  Constant Field Values

### PROC_JAVA

    protected static final java.lang.String PROC_JAVA

See Also:
  Constant Field Values

### SUN_JMX_REMOTE

    protected static final java.lang.String SUN_JMX_REMOTE

See Also:
  Constant Field Values

### SUN_JMX_PORT

    protected static final java.lang.String SUN_JMX_PORT

See Also:
  Constant Field Values

Constructor Detail

### MxServerDetector

    public MxServerDetector()

Method Detail

### getMxURL

    protected static java.lang.String getMxURL(java.lang.String port)

### parseMxPort

    protected java.lang.String parseMxPort(java.lang.String arg)

### configureMxURL

    protected boolean configureMxURL(ConfigResponse config,
                                     java.lang.String arg)

### configureLocalMxURL

    protected boolean configureLocalMxURL(ConfigResponse config,
                                          java.lang.String arg,
                                          java.lang.String query)

### getProcMainClass

    protected java.lang.String getProcMainClass()

### getProcHomeProperty

    protected java.lang.String getProcHomeProperty()

### getProcHomeEnv

    protected java.lang.String getProcHomeEnv()

### getProcQuery

    protected java.lang.String getProcQuery()

### getProcQuery

    protected java.lang.String getProcQuery(java.lang.String path)

### getServerProcessList

    protected java.util.List getServerProcessList()

### isInstallTypeVersion

    protected boolean isInstallTypeVersion(MxServerDetector.MxProcess process)

### getServerResource

    protected ServerResource getServerResource(MxServerDetector.MxProcess process)

### getServerResources

    public java.util.List getServerResources(ConfigResponse platformConfig)
                                      throws PluginException

  Specified by:
    `getServerResources` in interface `AutoServerDetector`
  Overrides:
    `getServerResources` in class `DaemonDetector`
  Throws:
    `PluginException`

### discoverMxServices

    protected java.util.List discoverMxServices(javax.management.MBeanServerConnection mServer,
                                                ConfigResponse serverConfig)
                                         throws PluginException

  Throws:
    `PluginException`

### discoverServices

    protected java.util.List discoverServices(ConfigResponse serverConfig)
                                       throws PluginException

  Description copied from class: `ServerDetector`
  Override to discover services for the server type of the plugin instance.

  Overrides:
    `discoverServices` in class `DaemonDetector`
  Parameters:
    `serverConfig` - Configuration of the parent server resource.
  Returns:
    List of type ServiceResource.
  Throws:
    `PluginException` - If an error occured during discovery.

### discoverServiceTypes

    public java.util.Set discoverServiceTypes(ConfigResponse serverConfig)
                                       throws PluginException

  Overrides:
    `discoverServiceTypes` in class `ServerDetector`
  Throws:
    `PluginException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.